<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.110.10.161
Name: AantalLaesies
Description: Template for concept: AantalLaesies (oncozon-colorectaal-dataelement-343) This is a generated template: item2simpleObservation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418">
   <title>AantalLaesies</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]]
Item: (AantalLaesies)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]
Item: (AantalLaesies)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]"
         id="d41e5352-false-d30093e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="string(@classCode) = ('OBS')">(AantalLaesies): de waarde van classCode MOET 'OBS' zijn. Gevonden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="string(@moodCode) = ('EVN')">(AantalLaesies): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']) &gt;= 1">(AantalLaesies): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']) &lt;= 1">(AantalLaesies): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="count(hl7:code[(@code = 'AantalLaesies' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]) &gt;= 1">(AantalLaesies): element hl7:code[(@code = 'AantalLaesies' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="count(hl7:code[(@code = 'AantalLaesies' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]) &lt;= 1">(AantalLaesies): element hl7:code[(@code = 'AantalLaesies' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="count(hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]) &lt;= 1">(AantalLaesies): element hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']
Item: (AantalLaesies)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']"
         id="d41e5358-false-d30134e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AantalLaesies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.11.60.110.10.161')">(AantalLaesies): de waarde van root MOET '2.16.840.1.113883.2.4.3.11.60.110.10.161' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]/hl7:code[(@code = 'AantalLaesies' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]
Item: (AantalLaesies)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]/hl7:code[(@code = 'AantalLaesies' and @codeSystem = '2.16.840.1.113883.2.4.3.11.60.110.5.3')]"
         id="d41e5363-false-d30149e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AantalLaesies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CD" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="@nullFlavor or (@code='AantalLaesies' and @codeSystem='2.16.840.1.113883.2.4.3.11.60.110.5.3' and @displayName='AantalLaesies')">(AantalLaesies): de elementwaarde MOET een zijn van 'code 'AantalLaesies' codeSystem '2.16.840.1.113883.2.4.3.11.60.110.5.3' displayName='AantalLaesies''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.110.10.161
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]
Item: (AantalLaesies)
-->

   <rule context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.11.60.110.10.161']]/hl7:value[(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3')]"
         id="d41e5368-false-d30165e0">
      <extends rule="INT"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(AantalLaesies): @value is geen geldig INT getal <value-of select="@value"/>
      </assert>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/oncozon-colorectaal/oncozon-colorectaal-html-20201013T101609/tmp-2.16.840.1.113883.2.4.3.11.60.110.10.161-2018-11-25T134418.html"
              test="@nullFlavor or ($xsiLocalName='INT' and $xsiLocalNS='urn:hl7-org:v3')">(AantalLaesies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:INT" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
